# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Uninstalling older version
    for to_uninstall in installed_softwares("BRL-CAD "):
        if Version(to_uninstall["version"]) < Version(control.get_software_version()) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(ensure_list(control.impacted_process))
            run(uninstall_cmd(to_uninstall["key"]))
            wait_uninstallkey_absent(to_uninstall["key"])
            if isdir(to_uninstall["install_location"]):
                remove_tree(to_uninstall["install_location"])



    bin_name = glob.glob("BRL-CAD_*_win64.exe")[0]
    version = control.get_software_version()

    # Installing the software
    install_exe_if_needed(bin_name, silentflags="/allusers /S", key=f"BRL-CAD {version} win64", min_version=control.get_software_version())

    version = control.get_software_version()

    remove_programs_menu_shortcut("BRL-CAD")

    create_programs_menu_shortcut("BRL CAD", target=makepath(programfiles, f"BRL-CAD {version}", "bin", "mged.exe"))


def uninstall():
    remove_programs_menu_shortcut("BRL CAD")